Use Unibody Airport Card - 661-6510 in 2011 early MBP 15.5

I have searched a while now, and many people seem to want to have Bluetooth 4.0 in earlier model MBP's. I have not found any concrete answers. I also have noticed the Airport/ Bluetooth card that iFixit sells is compatible but only 2.1. So before I do anything to my MBP can someone please shed some light on this subject. I want to know if it is 100% compatible, so if i get it tomorrow I can rip apart my Mac, add the new card, and BAM! have Bluetooth 4.0. (I use a lot of Bluetooth devices, it would be great if I can install this instead of spending another 2,000 on a mac)

Thank you in advance

Answered! View the answer I have this problem too

Is this a good question?

Score 0
Add a comment

2 Answers

Chosen Solution

Every parts catalogue I've seen does not list it as working with an '011 model. I seem to remember someone trying it and saying the antenna leads were to short to connect to the card… though the card did fit the slot.

EFI recognition and a driver for that card are also likely problems to overcome.

If this answer is acceptable please remember to return and mark it.

Was this answer helpful?

Score 1


I just installed this card in my 2011 MBP and it is not recognizing the LE. LMP version is still 4. It works and the wifi works, but no LE yet.

by clymer17

@clymer17 still not working?

by Raphael Costa

Add a comment

Was this answer helpful?

Score 0
Add a comment

Add your answer

Cody Rush will be eternally grateful.

View Statistics:

Past 24 Hours: 0

Past 7 Days: 5

Past 30 Days: 15

All Time: 731